<?php

    User::blockNotWorking();

    Yii::app()->clientScript->registerScript('submit', '
        $(document).ready( function() {
           $("#submit_button").click(function() {
              $(this).prop("disabled",true)
                 .parents("form").submit();
              });
        })
    ');

    $model->ATD_HORAINICIO = substr($model->ATD_HORAINICIO, 0, 5);
    $model->ATD_HORAFINAL  = substr($model->ATD_HORAFINAL, 0, 5);
    $model->ATD_TOTALHORAS = substr($model->ATD_TOTALHORAS, 0, 5);

    $Clientes = Clientes::model()->findByPk($CLI_IDCLIENTE);

    if (isset($Clientes->CLI_SITUACAO) && $Clientes->CLI_SITUACAO == 'A') {
        if (empty($model->ATD_NIVELINTERESSE)) {
            $model->ATD_NIVELINTERESSE = $Clientes->CLI_NIVELINTERESSE;
        }
    }

?>

<div class="form">

    <?php
    $form = $this->beginWidget('GxActiveForm', array(
        'id' => 'atendimentos-form',
        'enableAjaxValidation' => false,
        'focus' => array($model, 'ATD_IDCLIENTE'),
    ));
    ?>

    <?= FaHtml::getFormInfo($form, $model); ?>

    <?= $form->hiddenField($model, 'ATD_IDCLIENTE', array('type' => "hidden", 'value' => $CLI_IDCLIENTE)); ?>
    <div class="row">

        <?= $form->labelEx($model, 'ATD_STATUS_COBRANCA'); ?>

        <?= $form->dropDownList($model, 'ATD_STATUS_COBRANCA',
                                [1 => 'Faturar', 2 => 'Não Faturar', 3 => 'Aguardando']); ?>

        <?= $form->error($model, 'ATD_STATUS_COBRANCA'); ?>

    </div><!-- row -->
    <div class="row">

        <div class="row atdValor">
        <?= $form->labelEx($model, 'ATD_VALOR'); ?>
        R$ <?= $form->textField($model, 'ATD_VALOR', ['maxlength' => 12,
                                                      'style' => 'width:100px']); ?>
        <?= $form->error($model, 'ATD_VALOR'); ?>

    </div><!-- row -->

    </div><!-- row -->
    <div class="row">
        <?= $form->labelEx($model, 'ATD_DTCADASTRO'); ?>
        <?php $form->widget('ext.Utils.widgets.CrmDatePicker',
                            ['model' => $model,
                            'attribute' => 'ATD_DTCADASTRO']); ?>

        <?= $form->error($model, 'ATD_DTCADASTRO'); ?>
    </div><!-- row -->
    <div class="row">
        <?= $form->labelEx($model, 'ATD_SITUACAO'); ?>
        <?= $form->dropDownList($model, 'ATD_SITUACAO',
                                ['A' => 'Agendada', 'C' => 'Cancelada', 'R' => 'Realizada'],
                                ['prompt' => 'Selecione', 'readonly' => 'readonly', 'disabled' => 'disabled']); ?>
        <?= $form->error($model, 'ATD_SITUACAO'); ?>
    </div><!-- row -->
    <div class="row">
        <?= $form->labelEx($model, 'ATD_TIPO'); ?>
        <?php
            $tipos = array('E' => 'E-mail',
                           'F' => 'Ligação Feita',
                           'R' => 'Ligação Recebida',
                           'M' => 'Skype',
                           'O' => 'Outros',
                           'S' => 'Serviço Interno',
                           'V' => 'Visita');

            echo $form->dropDownList($model, 'ATD_TIPO', $tipos, array(
                'prompt' => 'Selecione'
                , 'readonly' => 'readonly', 'disabled' => 'disabled',
                'ajax' => array(
                    'type' => 'GET',
                    'url' => CController::createUrl('autocomplete/motivos'),
                    'update' => '#Atendimentos_ATD_IDMOTIVO')
                )
            );
        ?>
        <?= $form->error($model, 'ATD_TIPO'); ?>
    </div><!-- row -->
    <div class="row">
        <?= $form->labelEx($model, 'ATD_IDMOTIVO'); ?>
        <?= $form->dropDownList($model, 'ATD_IDMOTIVO',
                                GxHtml::listDataEx(Motivos::model()->findAll('(MOT_TIPO = "2" or MOT_TIPO = "5") AND MOT_TIPOCONTATO like "%' . $model->ATD_TIPO . '%" AND MOT_SITUACAO="A" ORDER BY MOT_DESCRICAO')), array('prompt' => 'Selecione', 'readonly' => 'readonly', 'disabled' => 'disabled')); ?>
        <?= $form->error($model, 'ATD_IDMOTIVO'); ?>
    </div><!-- row -->
    <div class="row">
        <?= $form->labelEx($model, 'ATD_IDMOTIVO_FN', array('required' => true)); ?>
        <?= $form->dropDownList($model, 'ATD_IDMOTIVO_FN', ClientesSituacoes::model()->getMotivosFN(), array('prompt' => 'Selecione', 'readonly' => 'readonly', 'disabled' => 'disabled')); ?>
        <?= $form->error($model, 'ATD_IDMOTIVO_FN'); ?>
    </div>

    <?php if (in_array(User::getPrivilegio(), array(4, 10, 16, 17, 19, 21))) { ?>
        <div class="row">
            <?= $form->hiddenField($model, 'ATD_IDFUNCIONARIO', array('type' => "hidden", 'value' => User::getId())); ?>
        </div><!-- row -->
    <?php } else { ?>
        <div class="row">
            <?= $form->labelEx($model, 'ATD_IDFUNCIONARIO'); ?>
            <?php
            $funcionarios = User::getPrivilegio() == 11 ? User::getFuncionariosComercialAdministrativo() : User::getFuncionariosComercial();
            echo $form->dropDownList($model, 'ATD_IDFUNCIONARIO', $funcionarios, array('prompt' => 'Selecione', 'readonly' => 'readonly', 'disabled' => 'disabled'));
            ?>
            <?= $form->error($model, 'ATD_IDFUNCIONARIO'); ?>
        </div><!-- row -->
    <?php } ?>

    <div class="row atd_obs">
        <?= $form->labelEx($model, 'ATD_OBS'); ?>
        <?php
        if (empty($model->ATD_IDATENDIMENTO)) {
            echo $form->textArea($model, 'ATD_OBS');
        } else {
            echo '<div class="textarea-like-disabled">'.$model->ATD_OBS.'</div>';
        }
        ?>
        <?= $form->error($model, 'ATD_OBS'); ?>
    </div><!-- row -->

    <div class="row atd_obs">
        <?= $form->labelEx($model, 'ATD_COBRANCA_OBS'); ?>
        <?= $form->textArea($model, 'ATD_COBRANCA_OBS'); ?>
        <?= $form->error($model, 'ATD_COBRANCA_OBS'); ?>
    </div><!-- row -->

    <?= $form->hiddenField($model, 'ATD_IDUSUARIO',
                           array('type' => "hidden",
                                 'value' => ($model->isNewRecord ? User::getId() : $model->ATD_IDUSUARIO))); ?>

    <?php
    echo FaHtml::saveButton();
    $this->endWidget();
    ?>
</div><!-- form -->

<script type="text/javascript">
    $(document).ready(function () {

        $(".atdValor").hide();
        $("#Atendimentos_ATD_STATUS_COBRANCA").on('change', function(){
            if($(this).val() == 1){
                $(".atdValor").fadeIn();
                $("#Atendimentos_ATD_VALOR").val('30,00');
                $("#Atendimentos_ATD_VALOR").attr('required', true);
                $("label[for=Atendimentos_ATD_VALOR]").addClass('required');
                $("label[for=Atendimentos_ATD_VALOR]").html('Valor <span class="required">*</span>');
            } else {
                $(".atdValor").fadeOut();
                $("#Atendimentos_ATD_VALOR").val('00,00');
                $("#Atendimentos_ATD_VALOR").attr('required', false);
                $("label[for=Atendimentos_ATD_VALOR]").removeClass('required');
                $("label[for=Atendimentos_ATD_VALOR]").html("");
            }
        });
        $("#Atendimentos_ATD_DTCADASTRO").attr('disabled', 'disabled');

        function toggleMotivoFN() {
            if($("#Atendimentos_ATD_IDMOTIVO").val() == '83') {
                $('#Atendimentos_ATD_IDMOTIVO_FN').parent().show();
            } else {
                $('#Atendimentos_ATD_IDMOTIVO_FN').parent().hide();
            }
        }

        $("#Atendimentos_ATD_IDMOTIVO").change(function () {
            toggleMotivoFN();
        });
        toggleMotivoFN();

        $('#Atendimentos_ATD_VALOR').mask('000.000.000.000.000,00', {reverse: 1});

    });
</script>